Last Comment Bug 744444 - delete CPP_PROG_LINK, purify/quantify targets
: delete CPP_PROG_LINK, purify/quantify targets
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla15
Assigned To: Nathan Froyd [:froydnj]
:
Mentors:
Depends on: 743988
Blocks: 754065
  Show dependency treegraph
 
Reported: 2012-04-11 09:44 PDT by Nathan Froyd [:froydnj]
Modified: 2012-05-10 14:54 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
delete purify target (3.29 KB, patch)
2012-04-13 12:07 PDT, Nathan Froyd [:froydnj]
benjamin: review+
Details | Diff | Splinter Review
delete quantify target and related support (8.14 KB, patch)
2012-04-13 12:08 PDT, Nathan Froyd [:froydnj]
ted: review+
Details | Diff | Splinter Review
delete CPP_PROG_LINK (5.75 KB, patch)
2012-04-13 12:09 PDT, Nathan Froyd [:froydnj]
ted: review+
Details | Diff | Splinter Review

Description Nathan Froyd [:froydnj] 2012-04-11 09:44:42 PDT
Bug 743988 deleted two major users of CPP_PROG_LINK; the remaining ones are the purify and quantify targets.  I'm guessing those are not used much in this day and age, so they can be nuked.
Comment 1 Nathan Froyd [:froydnj] 2012-04-13 12:07:32 PDT
Created attachment 614871 [details] [diff] [review]
delete purify target

Let's do this in pieces.  We'll start by deleting the purify target.

bsmedberg, I see pure.h and pure_api.c in xpcom/base/; should those be deleted along with this support?
Comment 2 Nathan Froyd [:froydnj] 2012-04-13 12:08:23 PDT
Created attachment 614872 [details] [diff] [review]
delete quantify target and related support

The quantify support is a little more extensive, but nothing that complex.
Comment 3 Nathan Froyd [:froydnj] 2012-04-13 12:09:49 PDT
Created attachment 614874 [details] [diff] [review]
delete CPP_PROG_LINK

Remove scattered usages of CPP_PROG_LINK and its setting from rules.mk.

A bunch of places were forcing CPP_PROG_LINK to be on; maybe those should get removed even if the rest of the patches don't go in.
Comment 4 Nathan Froyd [:froydnj] 2012-05-09 14:08:40 PDT
Committed with small tweaks to js/src/config/config.mk; local builds didn't pick up the bug, but try ones did.

https://hg.mozilla.org/integration/mozilla-inbound/rev/c1ccd09b3030
https://hg.mozilla.org/integration/mozilla-inbound/rev/67d774bc0060
https://hg.mozilla.org/integration/mozilla-inbound/rev/e092bfd09576

Note You need to log in before you can comment on or make changes to this bug.